package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.entity.DataSource;

public interface IDataSourceService extends IService<DataSource> {

    /**
     * 查询同一数据源下数据库是否存在
     */
    int selectDatabaseExist(String databaseIp, String databaseName, Long portNumber);

    /**
     * 绑定数据源，和租户关联
     */
    int insertDataSource(DataSource dataSource,Long tenantId);

}
